Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

List Skill Versions

skills.versions.list(skill_id, **kwargs) -> SyncCursorPage[SkillVersion]
GET
/skills/{skill_id}/versions

List skill versions for a skill.

Parameters
skill_id: str
after: Optional[str]

The skill version ID to start after.

limit: Optional[int]

Number of versions to retrieve.

minimum0
maximum100
order: Optional[Literal["asc", "desc"]]

Sort order of results by version number.

Returns
class SkillVersion: …
id: str

Unique identifier for the skill version.

created_at: int

Unix timestamp (seconds) for when the version was created.

formatunixtime
description: str

Description of the skill version.

name: str

Name of the skill version.

object: Literal["skill.version"]

The object type, which is skill.version.

skill_id: str

Identifier of the skill for this version.

version: str

Version number for this skill.

List Skill Versions

import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
page = client.skills.versions.list(
    skill_id="skill_123",
)
page = page.data[0]
print(page.id)
200 — Example
{
  "data": [
    {
      "id": "id",
      "created_at": 0,
      "description": "description",
      "name": "name",
      "object": "skill.version",
      "skill_id": "skill_id",
      "version": "version"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id",
  "object": "list"
}
Returns Examples
200 — Example
{
  "data": [
    {
      "id": "id",
      "created_at": 0,
      "description": "description",
      "name": "name",
      "object": "skill.version",
      "skill_id": "skill_id",
      "version": "version"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id",
  "object": "list"
}